Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Remove inbox

Prev Next
Post
/remove/inbox-message

Used to remove an inbox message that has already been sent.


Note: Just one of `device_id`, `user_id`, `profile_id` parameters should be used (in combination with `campaign_id`).
Body parameters
Remove an inbox-message from a device
{
  "apptoken": "YOUR-APPTOKEN",
  "campaign_id": "2419622",
  "device_id": "72662088"
}
object
apptoken
string Required

Your App token

campaign_id
integer (int32) Required

The ID of the campaign with the inbox message you want to remove

device_id
integer (int32)

The device_id from which to remove the inbox message

user_id
integer (int32)

The user_id from which to remove the inbox message

profile_id
string

The profile_id from which to remove the inbox message

Responses
200

200

Result
{
  "success": "True",
  "code": "200"
}
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string
404

404

Result
{
  "success": "False",
  "code": "404",
  "message": "Not Found"
}
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example404
message
string
ExampleNot Found